/*
 * misc2_tmpack.fp
 *
 * T Koshiro 2022/02/03
 */

#if DCLVER >= 730

/*****************************************************
 * misc2/tmpack/tmiget.f
 ****************************************************/
/* 
 *      SUBROUTINE TMIGET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMIGET(
          CHARACTER*(*) CP
          INTEGER o IPARA
      )

/* 
 *      ENTRY TMISET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMISET(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/* 
 *      ENTRY TMISTX(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMISTX(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/*****************************************************
 * misc2/tmpack/tmiqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE TMIQNP(NCP)
 */
      SUBROUTINE TMIQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY TMIQID(CP, IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMIQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY TMIQCP(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMIQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMIQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMIQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMIQVL(IDX, IPARA)
 */
      SUBROUTINE TMIQVL(
          INTEGER IDX
          INTEGER o IPARA
      )

/* 
 *      ENTRY TMISVL(IDX, IPARA)
 */
      SUBROUTINE TMISVL(
          INTEGER IDX
          INTEGER IPARA
      )

/* 
 *      ENTRY TMIQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMIQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * misc2/tmpack/tmlget.f
 ****************************************************/
/* 
 *      SUBROUTINE TMLGET(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE TMLGET(
          CHARACTER*(*) CP
          LOGICAL o LPARA
      )

/* 
 *      ENTRY TMLSET(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE TMLSET(
          CHARACTER*(*) CP
          LOGICAL LPARA
      )

/* 
 *      ENTRY TMLSTX(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE TMLSTX(
          CHARACTER*(*) CP
          LOGICAL LPARA
      )

/*****************************************************
 * misc2/tmpack/tmlqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE TMLQNP(NCP)
 */
      SUBROUTINE TMLQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY TMLQID(CP, IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMLQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY TMLQCP(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMLQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMLQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMLQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMLQVL(IDX, LPARA)
 *      LOGICAL   LPARA
 */
      SUBROUTINE TMLQVL(
          INTEGER IDX
          LOGICAL o LPARA
      )

/* 
 *      ENTRY TMLSVL(IDX, LPARA)
 *      LOGICAL   LPARA
 */
      SUBROUTINE TMLSVL(
          INTEGER IDX
          LOGICAL LPARA
      )

/* 
 *      ENTRY TMLQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMLQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * misc2/tmpack/tmpget.f
 ****************************************************/
/* 
 *      SUBROUTINE TMPGET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
/*      SUBROUTINE TMPGET(
 *          CHARACTER*(*) CP
 *          INTEGER o IPARA
 *      )
 */

/* 
 *      ENTRY TMPSET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
/*      SUBROUTINE TMPSET(
 *          CHARACTER*(*) CP
 *          INTEGER IPARA
 *      )
 */

/* 
 *      ENTRY TMPSTX(CP, IPARA)
 *      CHARACTER CP*(*)
 */
/*      SUBROUTINE TMPSTX(
 *          CHARACTER*(*) CP
 *          INTEGER IPARA
 *      )
 */

/*****************************************************
 * misc2/tmpack/tmpqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE TMPQNP(NCP)
 */
      SUBROUTINE TMPQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY TMPQID(CP, IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMPQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY TMPQCP(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMPQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMPQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMPQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMPQIT(IDX, ITP)
 */
      SUBROUTINE TMPQIT(
          INTEGER IDX
          INTEGER o ITP
      )

/* 
 *      ENTRY TMPQVL(IDX, IPARA)
 */
      SUBROUTINE TMPQVL(
          INTEGER IDX
          INTEGER o IPARA
      )

/* 
 *      ENTRY TMPSVL(IDX, IPARA)
 */
      SUBROUTINE TMPSVL(
          INTEGER IDX
          INTEGER IPARA
      )

/* 
 *      ENTRY TMPQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMPQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * misc2/tmpack/tmrget.f
 ****************************************************/
/* 
 *      SUBROUTINE TMRGET(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRGET(
          CHARACTER*(*) CP
          REAL o RPARA
      )

/* 
 *      ENTRY TMRSET(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRSET(
          CHARACTER*(*) CP
          REAL RPARA
      )

/* 
 *      ENTRY TMRSTX(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRSTX(
          CHARACTER*(*) CP
          REAL RPARA
      )

/*****************************************************
 * misc2/tmpack/tmrqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE TMRQNP(NCP)
 */
      SUBROUTINE TMRQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY TMRQID(CP, IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY TMRQCP(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMRQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY TMRQVL(IDX, RPARA)
 */
      SUBROUTINE TMRQVL(
          INTEGER IDX
          REAL o RPARA
      )

/* 
 *      ENTRY TMRSVL(IDX, RPARA)
 */
      SUBROUTINE TMRSVL(
          INTEGER IDX
          REAL RPARA
      )

/* 
 *      ENTRY TMRQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE TMRQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * misc2/tmpack/tmstla.f
 ****************************************************/
/*
 *      SUBROUTINE TMSTLA(R, T, U, V, NX, NY)
 */
      SUBROUTINE TMSTLA(
          REAL (NX) R
          REAL (NY) T
          REAL (NX,NY) U
          REAL (NX,NY) V
          INTEGER NX
          INTEGER NY
      )

/*****************************************************
 * misc2/tmpack/tmstlc.f
 ****************************************************/
/*
 *      SUBROUTINE TMSTLC(X, Y, U, V, NX, NY)
 */
      SUBROUTINE TMSTLC(
          REAL (NX) X
          REAL (NY) Y
          REAL (NX,NY) U
          REAL (NX,NY) V
          INTEGER NX
          INTEGER NY
      )

/*****************************************************
 * misc2/tmpack/tmstls.f
 ****************************************************/
/*
 *      SUBROUTINE TMSTLS(L, T, U, V, NX, NY)
 */
      SUBROUTINE TMSTLS(
          REAL (NX) L
          REAL (NY) T
          REAL (NX,NY) U
          REAL (NX,NY) V
          INTEGER NX
          INTEGER NY
      )

#endif
